var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Python Support in the MAXScript Editor and Listener</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Python Support in the MAXScript Editor and Listener</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"python-support-in-the-maxscript-editor-and-listener\"></a></div>\n\
<p>You can write and execute Python scripts in the MAXScript Editor, and run Python commands in the Max Listener window.</p>\n\
<p>The MAXScript Editor supports Python language syntax highlighting and code completion for imported libraries. By default, the MAXScript Editor is set to MAXScript syntax when it first opens. Select Language &gt; Python to change this to Python.</p>\n\
<p>Code completion is invoked when you type a symbol and dot, or can be force-invoked by pressing <em>Ctrl+Space</em>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-531582F1-98D8-410B-A529-B8D06105225D-low.png\' title=\'\'></div>\n\
<p>Python scripts can be evaluated from the Editor using Tools &gt; Evaluate All (Ctrl+E), and a single line can be executed using Tools &gt; Evaluate Line / Selection (Shift+Enter). Note, to execute multi-line code blocks, select the block before executing this command.</p>\n\
<blockquote>\n\
<p><strong>Note:</strong> Some special attributes (specifically <span class=\'code\'>__file__</span> and <span class=\'code\'>__name__</span>) and source code encoding declarations (<span class=\'code\'>\\# -*- coding: &lt;encoding name&gt; -*-</span>, defined in PEP 0263) cannot be handled when a script is executed directly from the MAXScript Editor (using <em>Tools &gt; Evaluate All</em>, Ctrl+E) or in the MAXScript Listener. Scripts that use these must be run from the <em>Scripting &gt; Run Script...</em> command to execute properly. The <em>Run Script</em> command runs the file directly in the Python interpreter, while the <em>Evaluate</em> command runs the contents of the file.</p>\n\
</blockquote>\n\
<p>You can edit one or more scripts side-by-side by dragging the document tab, and selecting &quot;Clone to another view&quot; or &quot;Move to another view&quot;. This can be useful when editing very long scripts or comparing two scripts.</p>\n\
<p>For more information about the MAXScript Editor&#39;s use and features, see Basics &gt; Interface Overview &gt; MAXScript Interface in the 3ds Max Help.</p>\n\
<p>The MAXScript Listener can execute single and multi-line Python commands when in Python mode. Python mode is indicated by a command-line starting with three brackets: &gt;&gt;&gt;. To switch to Python mode, select the Python radio button, or enter three angle brackets and a space. To execute a command, type the command and press Enter to type more lines, or Ctrl+Enter to execute the code.</p>\n\
<p>The MAXScript Mini Listener can execute a single line Python command when the Listener is in Python mode. Commands are executed by pressing Enter.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";